wayland::detail::refcounted_wrapper< native_t >(3)

NAME
wayland::detail::refcounted_wrapper< native_t > - Refcounted wrapper for C objects.

SYNOPSIS

#include <wayland-util.hpp>

Detailed Description

  template<typename native_t>
class wayland::detail::refcounted_wrapper< native_t >"Refcounted wrapper for C objects.

This is by default copyable. If this is not desired, delete the copy constructor and copy assignment operator in derived classes.

Definition at line 153 of file wayland-util.hpp.

Author

Generated automatically by Doxygen for Wayland++ from the source code.